Skip to main content
GET
/
builders
/
{builderId}
/
photo-folders
List photo folders
curl --request GET \
  --url https://api.buildpass.global/builders/{builderId}/photo-folders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "builderId": "<string>",
      "projectId": "<string>",
      "parentId": "<string>",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}
Requires read:photos. Returns gallery folders for the builder. Optional filter: projectId=proj_<id>.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

builderId
string
required

Query Parameters

projectId
string

Response

200 - application/json

Successful response

data
object[]